Summary:        High-Availability JDBC
Name:           ha-jdbc
Version:        2.0.16
Release:        0.4.rc1%{?dist}
Epoch:          0
License:        LGPLv2+
URL:            http://ha-jdbc.sourceforge.net/
Group:          Development/Libraries
Source0:        http://sourceforge.net/projects/ha-jdbc/files/HA-JDBC%202.0%20_%20Stable/2.0.16-rc-1/ha-jdbc-2.0.16-rc-1-src.tar.gz
Patch0:         %{name}-build-fixes.patch
Patch1:         %{name}-jdk7.patch
Patch2:         %{name}-jgroups3.patch
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  ant >= 0:1.6
BuildRequires:  jgroups212
BuildRequires:  junit
BuildRequires:  slf4j
BuildRequires:  jibx
BuildRequires:  quartz
BuildRequires:  bcel
BuildRequires:  tomcat-servlet-3.0-api
Requires:       jpackage-utils >= 0:1.6
Requires:       java >= 0:1.4.2
Requires:       jgroups212
Requires:       jibx
Requires:       quartz
Requires:       tomcat-servlet-3.0-api
Requires:       xml-commons-apis
Requires:       slf4j

BuildArch:      noarch

%description
High-Availability JDBC - a JDBC driver proxy that adds light-weight, 
transparent, fault tolerant clustering capability to any underlying
JDBC driver.

%package javadoc
Group:          Documentation
Summary:        API documentation for %{name}
BuildArch:      noarch
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}-rc-1
# remove all binary libs
rm -rf lib lib-1.4 lib-1.5

# This code is no longer compatible with JGroups
# pushd src/net/sf/hajdbc/distributable
# rm AbstractMembershipListener.java
# rm DistributableDatabaseClusterDecorator.java
# rm DistributableLockManager.java
# rm DistributableStateManager.java
# popd

%patch0 -p1
%patch1 -p1
# %patch2 -p1

%build
export CLASSPATH=$( build-classpath jgroups212 jibx/jibx-run quartz slf4j/slf4j-api bcel jibx/jibx-bind tomcat-servlet-api )
ant jar-1.6
ant javadoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}-%{version}-rc-1-jdk1.6.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr doc/src/content/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%doc LICENSE.txt
%{_javadir}/%{name}*.jar

%files javadoc
%doc LICENSE.txt
%{_javadocdir}/%{name}


%changelog
* Tue Aug 06 2012 Andy Grimm <agrimm@gmail.com> - 0:2.0.16-0.4.rc1
- Revert to JGroups 2.12, as JGroups 3 didn't work properly.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:2.0.16-0.3.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 12 2012 Andy Grimm <agrimm@gmail.com> - 0:2.0.16-0.2.rc1
- Switch from tomcat 6 to tomcat 7 (#819549)

* Sun Feb 26 2012 Andy Grimm <agrimm@gmail.com> - 0:2.0.16-0.1.rc1
- Fix release
- Clean up duplicate Requires

* Mon Feb 13 2012 Andy Grimm <agrimm@gmail.com> - 0:2.0.16-2
- Build for JDK 7, follow current guidelines

* Fri Aug 21 2011 Andy Grimm <agrimm@gmail.com> - 0:2.0.16-1
- Initial build

